summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-01 01:01:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-01 01:01:31 +0000
commit26722d888c493ea29771ff48fa956f0fc584a9c7 (patch)
treeb0b4bc5dcb4156e30e63fbac031f2bf01f32467a /dev-python
parentb12ef238a3239fb00fd31a11ca1b62ecca42245d (diff)
downloadbaldeagleos-repo-26722d888c493ea29771ff48fa956f0fc584a9c7.tar.gz
baldeagleos-repo-26722d888c493ea29771ff48fa956f0fc584a9c7.tar.xz
baldeagleos-repo-26722d888c493ea29771ff48fa956f0fc584a9c7.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ansible-compat/Manifest1
-rw-r--r--dev-python/ansible-compat/ansible-compat-2.2.3.ebuild63
-rw-r--r--dev-python/argparse-manpage/Manifest1
-rw-r--r--dev-python/argparse-manpage/argparse-manpage-4.ebuild36
-rw-r--r--dev-python/emoji/Manifest2
-rw-r--r--dev-python/emoji/emoji-2.2.0.ebuild (renamed from dev-python/emoji/emoji-2.0.0.ebuild)0
-rw-r--r--dev-python/ipykernel/Manifest1
-rw-r--r--dev-python/ipykernel/ipykernel-6.17.0.ebuild69
-rw-r--r--dev-python/ipython/Manifest1
-rw-r--r--dev-python/ipython/ipython-8.6.0.ebuild166
-rw-r--r--dev-python/jupyterlab_server/Manifest1
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.16.2.ebuild62
-rw-r--r--dev-python/libtmux/Manifest1
-rw-r--r--dev-python/libtmux/libtmux-0.15.9.ebuild56
-rw-r--r--dev-python/pandas/pandas-1.5.0-r1.ebuild2
-rw-r--r--dev-python/pyrsistent/Manifest1
-rw-r--r--dev-python/pyrsistent/pyrsistent-0.19.1.ebuild28
-rw-r--r--dev-python/pytest-metadata/Manifest3
-rw-r--r--dev-python/pytest-metadata/pytest-metadata-2.0.2.ebuild32
-rw-r--r--dev-python/pytest-metadata/pytest-metadata-2.0.4.ebuild (renamed from dev-python/pytest-metadata/pytest-metadata-2.0.1.ebuild)5
-rw-r--r--dev-python/python-nbxmpp/Manifest1
-rw-r--r--dev-python/python-nbxmpp/python-nbxmpp-3.2.5.ebuild32
-rw-r--r--dev-python/regex/Manifest1
-rw-r--r--dev-python/regex/regex-2022.10.31.ebuild35
-rw-r--r--dev-python/twisted/Manifest1
-rw-r--r--dev-python/twisted/twisted-22.10.0.ebuild169
-rw-r--r--dev-python/yappi/Manifest1
-rw-r--r--dev-python/yappi/yappi-1.4.0.ebuild40
28 files changed, 774 insertions, 37 deletions
diff --git a/dev-python/ansible-compat/Manifest b/dev-python/ansible-compat/Manifest
index ffe6159bd51c..45851509af26 100644
--- a/dev-python/ansible-compat/Manifest
+++ b/dev-python/ansible-compat/Manifest
@@ -1,2 +1,3 @@
DIST ansible-compat-2.2.0.tar.gz 38772 BLAKE2B dbe74d23d2f2e4275bd9df2303417ea83517e780e65c6a34bd6ae1022be265ac816b50b309fc45f88e0c7fac7d7a22c83a826cc15be050698a6f35b267a36ac3 SHA512 3bd199431659ecba52743c6c985d2cdc6ee55396444241ba2456bc5430bbc87e26087dffbfff62ac341fa854e19baa0d7052cf79f20511222fd9e001dd020136
DIST ansible-compat-2.2.1.tar.gz 39126 BLAKE2B c4d0512606c99ba8f07e0287620c94af6b46d7bf0077f12dcbfd9689fc7106f164a87db25de1625249ac2930858bfa655bd93d83aba0d85ed4f8bdd42cd345dc SHA512 3e941eb2c5303f83b7e7c057d08801f192889b636d9c6e56a2ac21cf75144a52ba2916eaedeba7bf848dd268387bf4d3261541d75145b213cc3f6baca6a06e5e
+DIST ansible-compat-2.2.3.tar.gz 39603 BLAKE2B 16b88a1c669a74d858e4d47539811b33db77561f7e72088d5eece67ee1594e65a9328277bc65b96dce726180c29118b2b240b45541b6548b34584d643f836894 SHA512 4944ff97524734c445438c052aeedd0d526b58e91a56e0bcc32123fb3a9464c82f7718ea1897a09ef0dd33dfa36abdc6e0a0157e9a4eb8d341cbd712b2f538d1
diff --git a/dev-python/ansible-compat/ansible-compat-2.2.3.ebuild b/dev-python/ansible-compat/ansible-compat-2.2.3.ebuild
new file mode 100644
index 000000000000..215a9cc156d9
--- /dev/null
+++ b/dev-python/ansible-compat/ansible-compat-2.2.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Contains functions that facilitate working with various versions of Ansible"
+HOMEPAGE="
+ https://pypi.org/project/ansible-compat/
+ https://github.com/ansible/ansible-compat/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=app-admin/ansible-core-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.6.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/subprocess-tee-0.3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-6.3.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-markdown[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-plus[${PYTHON_USEDEP}]
+ )
+"
+
+# All these tests attempt to connect to galaxy.ansible.com
+EPYTEST_DESELECT=(
+ test/test_runtime.py::test_install_collection
+ test/test_runtime.py::test_install_collection_dest
+ test/test_runtime.py::test_prepare_environment_with_collections
+ test/test_runtime.py::test_prerun_reqs_v1
+ test/test_runtime.py::test_prerun_reqs_v2
+ test/test_runtime.py::test_require_collection_no_cache_dir
+ test/test_runtime.py::test_require_collection_wrong_version
+ test/test_runtime.py::test_require_collection
+ test/test_runtime.py::test_upgrade_collection
+ test/test_runtime_example.py::test_runtime
+)
+
+distutils_enable_sphinx docs \
+ dev-python/ansible-pygments \
+ dev-python/myst_parser \
+ dev-python/sphinx_ansible_theme
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p pytest_markdown.plugin
+}
diff --git a/dev-python/argparse-manpage/Manifest b/dev-python/argparse-manpage/Manifest
index 818ad4b33ecb..f50d698e74d7 100644
--- a/dev-python/argparse-manpage/Manifest
+++ b/dev-python/argparse-manpage/Manifest
@@ -1 +1,2 @@
DIST argparse-manpage-3.tar.gz 45091 BLAKE2B b2ab9d4863227eacaf566865cd47763b9a52f4fd445ae78cf8212b3762a14c1ceb7f9008d25b8828f5e5da23e120a7be6d48239bb300670e559000de1e75fd68 SHA512 96225cf71dc60c638bd312331622e5b60589d7e6baf59fdfca0d90d24cff2bb232696c754c440c4e239949ea1a6280699c4f0f7816c50ec62bf77474d0c48cf4
+DIST argparse-manpage-4.gh.tar.gz 50506 BLAKE2B b291e4e77a076e87659bea611baf96d9a258deb8d9fe5e8d1a9278d4daa80d108d6bc7280aa351f1f7b5fa725a5a6508dd3d74bfc1dd226d24653645066173f2 SHA512 51b3cd10569b0bbd28587172cbb2818375c904c89c51a075e2f641c4d158a7a047ff939977c3ee0f164ace18ebccc0037f8c0e74e23b41fbcd990cacedcbee6a
diff --git a/dev-python/argparse-manpage/argparse-manpage-4.ebuild b/dev-python/argparse-manpage/argparse-manpage-4.ebuild
new file mode 100644
index 000000000000..ae6cf9c83ada
--- /dev/null
+++ b/dev-python/argparse-manpage/argparse-manpage-4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically build man-pages for your Python project"
+HOMEPAGE="
+ https://github.com/praiskup/argparse-manpage/
+ https://pypi.org/project/argparse-manpage/
+"
+SRC_URI="
+ https://github.com/praiskup/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/emoji/Manifest b/dev-python/emoji/Manifest
index 5f4a9b5ccd03..63c0483fcb4a 100644
--- a/dev-python/emoji/Manifest
+++ b/dev-python/emoji/Manifest
@@ -1,2 +1,2 @@
-DIST emoji-2.0.0.gh.tar.gz 245417 BLAKE2B 9c28a3ed0c9151930d1f37453eff6cdac1d4e5b0b6294a0c7eed2befe3884f3c54b88a20bcf62c1b5a37551607063bfd53cbd9d5b4d9b1a36b446e1815d64052 SHA512 5e33cfcf11d9d30453eeec55428d466a88c4332fc04bc185e6f2d00995e71f086771d1923a574905b6d3b46b7f8b675d0a6474526b45be6e6443b1ffdca007c8
DIST emoji-2.1.0.gh.tar.gz 265386 BLAKE2B a4928b2d9df30bed461ad184c1fd5eeb8c593fddd26f6704c2f91389645d29699ec53e04bf51b7543ef5afe6b53c1a543925558059e0d31f75bfe2631a6665d6 SHA512 a201ef3e1528b5c3321a923ef35c3014ab6644e790a8aad451c451e810dce7c0bb037bfe572c94badaa0169f289e10184a95a6a9234e36613f95f294e45b7c43
+DIST emoji-2.2.0.gh.tar.gz 293134 BLAKE2B 4f6d8cf297c36a688b7f5e2f4afceb7e55102b23507fcac95799b6a6ab82521c55fcec884dcb2270e8290516942b7ef923de99b4e8da9241ce5828256b991653 SHA512 51150605c7b20fdb9a62746df098995814fb3b5b6c6b79dc65fb35dd8036c95b150b63c6af37f1baaf5dfab521c41ff7d0360864ffa77f696ba2465c50e1da79
diff --git a/dev-python/emoji/emoji-2.0.0.ebuild b/dev-python/emoji/emoji-2.2.0.ebuild
index 3a5900d8363d..3a5900d8363d 100644
--- a/dev-python/emoji/emoji-2.0.0.ebuild
+++ b/dev-python/emoji/emoji-2.2.0.ebuild
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index f653b0ff4f51..65bc4b5dc36f 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -2,3 +2,4 @@ DIST ipykernel-6.15.3.tar.gz 136470 BLAKE2B 45279a6cfc85c3c2bafe9913b78077a3212b
DIST ipykernel-6.16.0.tar.gz 136212 BLAKE2B efb779c4585d5594dcf8beaf03f2cd0174aa3b22e184a4c5f54e0e9e97f5bcb81af27c19f503a8b8883720a4380bfb483a952858a75c5b08b19030cc84c0cbec SHA512 04c43c83d17f451b7139e3f7301b35598ff3644ac1542bed9eb2584a558ee202e66c3e36553f96484bb4ee5cc369cfe2ad2bf0054799ad29ffd0e065bdcade98
DIST ipykernel-6.16.1.tar.gz 136501 BLAKE2B 01f335319a7fe3749f770a721bd287f357dd9d5a948368d6495642607eb43f085f529be8759cfaa72acddc4973b814599492b9a87632d48373564f668696264c SHA512 748e538a99db913bf5fa8a3bfd83f59f4209e84e262f0fbb93d65100dd70502315ba7fafa7e55445c58f5de38c09e6d155b4ec9ed12e2ac53214e041e7345aa5
DIST ipykernel-6.16.2.tar.gz 136606 BLAKE2B 596cae97c6e4d170c51a2f2f481c306a93833cf62959837bde129ed080f70e730cb083ff0a608b7539f633898b7f79f8c5ee3495580fe2821382f0be10417ccc SHA512 3a3bae6cc8ace33b7b8c9d335c7da73c1983824b74b29b77c14cbe24239d556c9c967a759a37a60745823cb6ab698a21262457082464cf33ec1b02ebbe2240d9
+DIST ipykernel-6.17.0.tar.gz 136711 BLAKE2B 2d037334e3fbff0cdd3e2a99cb0987c2c647bf04e3eaa85ff56a202d2b2c88383ffd81f8ba74565fee9ade19ab9d6bcfcb862bd92fdea00892f0195f1c97a752 SHA512 52ff2cbf2aa8f1d02c0d25866e91e2eccddca55b70a226145b99165b3514ab1b87e797abac4423bfb7090152e7eafbc47aacde8c3373f5b2bdf0ff642c07d0ba
diff --git a/dev-python/ipykernel/ipykernel-6.17.0.ebuild b/dev-python/ipykernel/ipykernel-6.17.0.ebuild
new file mode 100644
index 000000000000..663cc93062e0
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.17.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ ipykernel/inprocess/tests/test_kernel.py::InProcessKernelTestCase::test_pylab
+ ipykernel/tests/test_debugger.py::test_attach_debug
+ ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_set_breakpoints
+ ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+)
+
+src_prepare() {
+ sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
diff --git a/dev-python/ipython/Manifest b/dev-python/ipython/Manifest
index 9829c06e3300..06102f98cbac 100644
--- a/dev-python/ipython/Manifest
+++ b/dev-python/ipython/Manifest
@@ -1 +1,2 @@
DIST ipython-8.5.0.tar.gz 5319096 BLAKE2B 6ab330ffe99611478bdcf1211a500c08edd4aff802a1121156c302cb8a49b9c5f2fa98012dbaf80996574789bdb98d87924492181e45f00f46f600789c1ae6e4 SHA512 9339507fbe229d83f4c41b79257a7b40890d9d0601692521a61dc777c040a6d22d131014d660ffc9ba79f7128f579082473642f47b86e59a038f79c6553c8186
+DIST ipython-8.6.0.tar.gz 5329155 BLAKE2B 2c2ed361af7f4a3884fe3d20fa92fb65c9eb0f020ca935e6a7edec7d28891b74433db56b55070ae07369f93d69e0f46a23fc470ba1c0b7ebf8d3d0f620464ab5 SHA512 54c9e354754b1086e5b87d4d76fa4fe5aa261b095d18210f6660fa9e0a3177db4c9b66d26da5e5d6880a40534477d8c6ea59615c4069327939bca41d49addb47
diff --git a/dev-python/ipython/ipython-8.6.0.ebuild b/dev-python/ipython/ipython-8.6.0.ebuild
new file mode 100644
index 000000000000..167177315ac4
--- /dev/null
+++ b/dev-python/ipython/ipython-8.6.0.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE='readline,sqlite,threads(+)'
+
+inherit distutils-r1 optfeature virtualx
+
+DESCRIPTION="Advanced interactive shell for Python"
+HOMEPAGE="
+ https://ipython.org/
+ https://github.com/ipython/ipython/
+ https://pypi.org/project/ipython/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc examples matplotlib notebook nbconvert qt5 +smp test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/backcall[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.16[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
+ dev-python/pickleshare[${PYTHON_USEDEP}]
+ >=dev-python/prompt_toolkit-2[${PYTHON_USEDEP}]
+ <dev-python/prompt_toolkit-3.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/stack_data[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ app-text/dvipng[truetype]
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-2[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+RDEPEND+="
+ nbconvert? (
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ notebook? (
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/widgetsnbextension[${PYTHON_USEDEP}]
+ )
+ qt5? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
+ smp? (
+ >=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=( "${FILESDIR}"/2.1.0-substitute-files.patch )
+
+python_prepare_all() {
+ # Remove out of date insource files
+ #rm IPython/extensions/cythonmagic.py || die
+ #rm IPython/extensions/rmagic.py || die
+
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+ fi
+
+ # Rename the test directory to reduce sys.path pollution
+ # https://github.com/ipython/ipython/issues/12892
+ mv IPython/extensions/{,ipython_}tests || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html_noapi
+ HTML_DOCS=( docs/build/html/. )
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
+ local EPYTEST_DESELECT=(
+ # Internet
+ IPython/core/display.py::IPython.core.display.Image.__init__
+ # TODO: looks to be a regression due to a newer dep
+ IPython/core/tests/test_oinspect.py::test_class_signature
+ IPython/core/tests/test_oinspect.py::test_render_signature_long
+ # TODO
+ IPython/extensions/ipython_tests/test_autoreload.py::TestAutoreload::test_smoketest_aimport
+ IPython/extensions/ipython_tests/test_autoreload.py::TestAutoreload::test_smoketest_autoreload
+ )
+ [[ ${EPYTHON} == python3.10 ]] && EPYTEST_DESELECT+=(
+ # TODO
+ IPython/core/tests/test_completer.py::TestCompleter::test_all_completions_dups
+ IPython/core/tests/test_completer.py::TestCompleter::test_deduplicate_completions
+ )
+ # nonfatal implied by virtx
+ nonfatal epytest || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Create ipythonX.Y symlinks.
+ # TODO:
+ # 1. do we want them for pypy? No. pypy has no numpy
+ # 2. handle it in the eclass instead (use _python_ln_rel).
+ # With pypy not an option the dosym becomes unconditional
+ dosym ../lib/python-exec/${EPYTHON}/ipython \
+ /usr/bin/ipython${EPYTHON#python}
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+pkg_postinst() {
+ optfeature "code formatting" dev-python/black
+ optfeature "sympyprinting" dev-python/sympy
+ optfeature "cythonmagic" dev-python/cython
+ optfeature "%lprun magic command" dev-python/line_profiler
+ optfeature "%mprun magic command" dev-python/memory_profiler
+
+ if use nbconvert; then
+ if ! has_version app-text/pandoc ; then
+ einfo "Node.js will be used to convert notebooks to other formats"
+ einfo "like HTML. Support for that is still experimental. If you"
+ einfo "encounter any problems, please use app-text/pandoc instead."
+ fi
+ fi
+}
diff --git a/dev-python/jupyterlab_server/Manifest b/dev-python/jupyterlab_server/Manifest
index bcdd1617e2b3..618ddcc8f50e 100644
--- a/dev-python/jupyterlab_server/Manifest
+++ b/dev-python/jupyterlab_server/Manifest
@@ -1,2 +1,3 @@
DIST jupyterlab_server-2.16.0.tar.gz 62546 BLAKE2B ce8c1d8aa906d61ebdfccbcdd851a26df09c39a4dbdbe84297889b6a28960eb7616de049b6a6cab6188ae4392535f1e45f60f4699b52ce9eea4071c9b89d7745 SHA512 13df24cf3b77d74b64cbacb6d0d9f385e2e09adc77dc223a0ebaa56585c29f7fcf3f91c0091c4d3354dc0059ba1126cf813c74119f3c8f6a6244b9d1f0ab43e2
DIST jupyterlab_server-2.16.1.tar.gz 64634 BLAKE2B 05d71b229b9e226bcae409028ff97fa6313662b506171ee5fcb3d8a0cb29c6339f5a54ce91a31b251e969d1418d1a6ede61ccefb1be5412f35bbe51d34378fcf SHA512 3841463b56adcca2d65a9943e04c084fef47b208b46012c9e01a3f91d58058d0bc8e0e97dd1c794ebc7963fc7106f4965524ba293268bb4e7a2e41158a7c54cf
+DIST jupyterlab_server-2.16.2.tar.gz 64742 BLAKE2B 73b3c1f7080134e30d9e0d38af9ef8f5e4161a11d1a08e6d638ffdccd4def0f7fb7b16c8ef1e9191542e27267f2e47a8a21bf53dc103c4c79c32b9722252095d SHA512 d7229343994d78ae2ff0d5cdfa2670f23f221ab2bfd009351c5a8a5611b0dd04c47eb5c899a4155712322f3c3f74fcbcbb3a687cdc737382bc3eabca6d69c527
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.16.2.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.16.2.ebuild
new file mode 100644
index 000000000000..c43785c2e53c
--- /dev/null
+++ b/dev-python/jupyterlab_server/jupyterlab_server-2.16.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab_server/
+ https://pypi.org/project/jupyterlab-server/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/Babel[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/json5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
+ <dev-python/jupyter_server-3[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.8.3[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_server[${PYTHON_USEDEP}]
+ >=dev-python/openapi-core-0.14.2[${PYTHON_USEDEP}]
+ <dev-python/openapi-core-0.15[${PYTHON_USEDEP}]
+ dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: package autodoc_traits
+#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_translation_api.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 7dc40b6caab4..dfc558a25705 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,3 +1,4 @@
DIST libtmux-0.14.2.gh.tar.gz 234682 BLAKE2B e93b0a280c3cfdfab4c9a313d251d15665c530813f00aa78151efe62a6a566f2d8986afed015de4a8be80b48f31ac197e98d3efa592eb8895e8d9626ff34ef72 SHA512 1565529ecf555dac8f896146e2d802c0e5460458ea1da6ba5496d5d2c394f56cc8c5f7650c5d4aebd1750659bbdc529e439e60dff6a0ccef8806bb65305d2421
DIST libtmux-0.15.4.gh.tar.gz 237928 BLAKE2B b12643336717fbba079df884aa7b8a3029c393afd0dbcfe7be07d7c08f15a8252ec73479f5423fbe86efe63fb990529f68ed5690b40e2c7938df7edd2c6e51e5 SHA512 41adc83fde64a00385bb6885243b50c73e4cedd4d0860b1eb5c9a533b73d2f7fedef1e23f1b994c809abb834b666931c3fbdccd417969865172777e34a1cc5fe
DIST libtmux-0.15.7.gh.tar.gz 237820 BLAKE2B b398fb9c44ebf916e99d442094bee9925e129e67a32becdfdda9d5ec4c8e30bebe937ebde58e2fb5654807251cd00076117646974430a0c608b1b89637fdfe94 SHA512 ac33aeecc579b018af2e09d0aaf86f97dafa7782893bee065798247ebd5e2a5a4a8d14b1b3314e0050e39bceefeadef6600d3881fbb30a8e3e9b4831b4df339b
+DIST libtmux-0.15.9.gh.tar.gz 239611 BLAKE2B 7a171c827fde0ddf3fa0191c00d4e22e5027d925781f7231497c09a038f16d3408ba894d4f8d71470a0d8dbb8f1fc387971d3c8ec94d9f03a3f0af0e2ac0c7c7 SHA512 e7599dece70188cd210de7a1e554d86ba12b8479757dd03903cf3e0608e8e9cf3d181e4c0afc7432d6977dece931707120399690932099ed7d07d847ac76655c
diff --git a/dev-python/libtmux/libtmux-0.15.9.ebuild b/dev-python/libtmux/libtmux-0.15.9.ebuild
new file mode 100644
index 000000000000..52b1d12894ad
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.15.9.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API for tmux"
+HOMEPAGE="
+ https://libtmux.git-pull.com/
+ https://github.com/tmux-python/libtmux/
+ https://pypi.org/project/libtmux/
+"
+SRC_URI="
+ https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ libtmux/pane.py::libtmux.pane.Pane.send_keys
+)
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+ rm requirements/doc.txt || die
+
+ # increase timeouts for tests
+ sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+ sed -e '/addopts/s:--doctest-docutils-modules::' \
+ -e '/README\.md/d' \
+ -i setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pandas/pandas-1.5.0-r1.ebuild b/dev-python/pandas/pandas-1.5.0-r1.ebuild
index 94d44a537e9e..aaf052c03dac 100644
--- a/dev-python/pandas/pandas-1.5.0-r1.ebuild
+++ b/dev-python/pandas/pandas-1.5.0-r1.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/${P/_/}"
SLOT="0"
LICENSE="BSD"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 x86"
IUSE="doc full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyrsistent/Manifest b/dev-python/pyrsistent/Manifest
index adb357a8ba40..4a8658980f52 100644
--- a/dev-python/pyrsistent/Manifest
+++ b/dev-python/pyrsistent/Manifest
@@ -1 +1,2 @@
DIST pyrsistent-0.18.1.tar.gz 100522 BLAKE2B 75632d254993666076a68d81b8b5a7aced8601146fed5cd63f1d56c5e0578650a197aca7630855de32a8447eab972203aa7d83009398f96e6f374c0a4b2cc1ba SHA512 353ad6e9165e1afdde37730a9289cf8dde28491abb688d702a8c8f5279e24f5ce387a5d00ac4a077322299f9c1a535781bcacdcd1cb914ddb317b3ca9641778b
+DIST pyrsistent-0.19.1.tar.gz 102135 BLAKE2B 02756ae7c6172b2ee383508f896ae01ee4abc71b68b6b7135d08422959ef4a821f8e7464547d8a65802d0cac5663ff98d6102870f86fcb37d86d2ea7fa7e871f SHA512 d7bf09298f2713b3e741a02f34efeb0d083f5ff85d7c19e3c7a13e5051d3e0e120f2831190595a764722fe733ba8e105f820c833b5c59638e92eb4c14604e788
diff --git a/dev-python/pyrsistent/pyrsistent-0.19.1.ebuild b/dev-python/pyrsistent/pyrsistent-0.19.1.ebuild
new file mode 100644
index 000000000000..53353fd0a251
--- /dev/null
+++ b/dev-python/pyrsistent/pyrsistent-0.19.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent/Functional/Immutable data structures"
+HOMEPAGE="
+ https://github.com/tobgu/pyrsistent/
+ https://pypi.org/project/pyrsistent/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pytest-metadata/Manifest b/dev-python/pytest-metadata/Manifest
index ec8958e883a3..13a9ecba58bd 100644
--- a/dev-python/pytest-metadata/Manifest
+++ b/dev-python/pytest-metadata/Manifest
@@ -1,3 +1,2 @@
-DIST pytest-metadata-2.0.1.gh.tar.gz 19945 BLAKE2B 931ede3b58471e3092eb26af38f380810140539c7c50b5e3e9a63bdddedd9577b1f23aafb24ce80de55078f772b0dae8715368559f79a3f31f33e15870134f45 SHA512 03981b4fbcd812cf5896d6db2b74cbc1e6c84cc13613f916248767cacfc7650580f668a5ea8892be85c87fa08101a8a2f440ee6e0cc1342d4fa9919d41153a6b
-DIST pytest-metadata-2.0.2.gh.tar.gz 19993 BLAKE2B 274ce5532fe96b6e4116d6ed1bf20911342f8b239b00a9b6cc1b553ad2819a619691e34bd93ef82676ffdcd4ba32adebba481c65168ce76eef2099eb7295d65d SHA512 b35c0b1a357a246aa12b65dd67b48b6c4201d75d4a23db9026659407583e97517971ba6af1054cff7812f2c6ae54019b26d1108664d632a45c0514a716b321b2
DIST pytest-metadata-2.0.3.gh.tar.gz 20078 BLAKE2B 269f8b10aad3dda94ea3f1e2655d6e0be371211138774e8662395197f483917ec8098c3acb2b792f4dfe08d7ada21fd062754dbd2be49cfadb50823a32858e09 SHA512 423b61ffd038fe94b7d09a7e2cf2ef71782c8b41504831e0f9479b3423bdd24da730464ba5e90ea1c4dda32a9f2ad935448caf48427f08f7e93c9021f1e73625
+DIST pytest-metadata-2.0.4.gh.tar.gz 20112 BLAKE2B c7f51b614f2bbb71bd77036c3e71dea26b323a236decee3d74ceb7777dc0d28795c69707af33639154effd6cdd294446d3152597075e4d24dcab5b5fe6d7dff7 SHA512 029a45a3b721841f50f5b96d2edc21b02e59d2b414313e467d232081da048ee1c60dd1d41407a040b6fd65442e70fb538f913523dfddeb8978ea33e36afe341a
diff --git a/dev-python/pytest-metadata/pytest-metadata-2.0.2.ebuild b/dev-python/pytest-metadata/pytest-metadata-2.0.2.ebuild
deleted file mode 100644
index 46cd75f8e515..000000000000
--- a/dev-python/pytest-metadata/pytest-metadata-2.0.2.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="A plugin for pytest that provides access to test session metadata"
-HOMEPAGE="https://github.com/pytest-dev/pytest-metadata/"
-SRC_URI="
- https://github.com/pytest-dev/pytest-metadata/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MPL-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
-
-RDEPEND="
- <dev-python/pytest-8[${PYTHON_USEDEP}]
- >=dev-python/pytest-7.1.1[${PYTHON_USEDEP}]
-"
-BDEPEND="
- >=dev-python/setuptools_scm-6.2.3[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pytest-metadata/pytest-metadata-2.0.1.ebuild b/dev-python/pytest-metadata/pytest-metadata-2.0.4.ebuild
index 46cd75f8e515..d4b86ae2ceea 100644
--- a/dev-python/pytest-metadata/pytest-metadata-2.0.1.ebuild
+++ b/dev-python/pytest-metadata/pytest-metadata-2.0.4.ebuild
@@ -9,7 +9,10 @@ PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
inherit distutils-r1
DESCRIPTION="A plugin for pytest that provides access to test session metadata"
-HOMEPAGE="https://github.com/pytest-dev/pytest-metadata/"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-metadata/
+ https://pypi.org/project/pytest-metadata/
+"
SRC_URI="
https://github.com/pytest-dev/pytest-metadata/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
diff --git a/dev-python/python-nbxmpp/Manifest b/dev-python/python-nbxmpp/Manifest
index 87c8d8ac5248..b44217cf17f6 100644
--- a/dev-python/python-nbxmpp/Manifest
+++ b/dev-python/python-nbxmpp/Manifest
@@ -1,2 +1,3 @@
DIST python-nbxmpp-3.2.4.tar.bz2 131867 BLAKE2B bfe0fe559b62e0ba526adac810bf9ed4e491349ce8535ea6ab3d476a1b1c18accfeb450a327b1e81994f2960a475b872169a61aac67d1f16767bad18f6e5e223 SHA512 4ac1c69741b4c202c463ade601bb027f4a5442da1052e2657b1319f2b9bb6dd723033b3dcf175d655205f2e918ef1b7e3e93410fc812c847d2da7ceb48420d37
+DIST python-nbxmpp-3.2.5.tar.bz2 132029 BLAKE2B 846f3b47c3a9a95cf1fa1b557a007fd4901fb4acaa3160ea4b9b1cdff1e9d2c3e64bc5251b739d816f3f1c449c350d1ac44c14cbef87d14fe5a6450418451007 SHA512 577f8c7b0f5a7c69b4d980bff93f0a208ab0a660d731eb95ec63b76583194b94bd9d9f6b10fcac3951a6e6afb5d0c4da2140cbc17ef653f19ec6957b5d2e5f04
DIST python-nbxmpp-nbxmpp-2.0.6.tar.bz2 122203 BLAKE2B 925604002f4363f1e0b72f05c13742f4652ba565a9faa48faf8d47688f480a7f1d7585c593b0dcf07bded8c4aa3a1d02e9697742a07b9e815daec062dfb93104 SHA512 a536b25c8a6298892a51adef4b64b75ffab88ce02fb08fc07ecd1cfe2bc794262d4d58a93248439723e6e0544485da7351bb98189b0e422a1f77b01c6f6d238e
diff --git a/dev-python/python-nbxmpp/python-nbxmpp-3.2.5.ebuild b/dev-python/python-nbxmpp/python-nbxmpp-3.2.5.ebuild
new file mode 100644
index 000000000000..48cab4d49482
--- /dev/null
+++ b/dev-python/python-nbxmpp/python-nbxmpp-3.2.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to use Jabber/XMPP networks in a non-blocking way"
+HOMEPAGE="
+ https://dev.gajim.org/gajim/python-nbxmpp/
+ https://pypi.org/project/nbxmpp/
+"
+SRC_URI="
+ https://dev.gajim.org/gajim/python-nbxmpp/-/archive/${PV}/${P}.tar.bz2
+"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ net-libs/libsoup[introspection]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/precis-i18n[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/regex/Manifest b/dev-python/regex/Manifest
index 13dc4662993a..515f71eea275 100644
--- a/dev-python/regex/Manifest
+++ b/dev-python/regex/Manifest
@@ -1 +1,2 @@
+DIST regex-2022.10.31.tar.gz 391554 BLAKE2B 060822767ab28e26d000faa198f4226ba1e4600141a7b3e0f656df8d004b5007a0a7934057e608d524f6a21421573fbeb8a1be208ce69ba2d912a55d19fb3f22 SHA512 d461cddea75f2a8ceb749d7e1a54f3543fe4cb3418976ded26101cb53c333f0e2eabaa824239c89c50c94c6736409566215cb7b6c6c3a0544678d10b6af76cc5
DIST regex-2022.9.13.tar.gz 391531 BLAKE2B 83e8f1aabe15e65fb4f96072be3ccd5ddf1dcbffeeecb9d7a2889fb910d4095e902bfd45f43184b0df115b1116ddfc3e67d68a2fa903f19a8cbc6844ce023a3b SHA512 a991d6358001297db2b57855e76b8de680941ddefe9d18af1e9ee033da4e519df7b4553d138e7adf32b30593290284c91a954363bcc30b215409efe121e41e69
diff --git a/dev-python/regex/regex-2022.10.31.ebuild b/dev-python/regex/regex-2022.10.31.ebuild
new file mode 100644
index 000000000000..348d354c1e91
--- /dev/null
+++ b/dev-python/regex/regex-2022.10.31.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://bitbucket.org/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="doc"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2021.4.4-pypy3-fix-test_empty_array.patch"
+ "${FILESDIR}/${PN}-2021.4.4-pypy3-fix-test_issue_18468.patch"
+)
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/twisted/Manifest b/dev-python/twisted/Manifest
index 35a9df374cd8..ee684d792aa3 100644
--- a/dev-python/twisted/Manifest
+++ b/dev-python/twisted/Manifest
@@ -1,2 +1,3 @@
+DIST twisted-22.10.0.gh.tar.gz 3512714 BLAKE2B 2fd36ec6922f428e959ce0169bb9a3592b8b3e43aff8d34872883ecf0fad8d0fff01a52f06b54df3dc377f4fc1a488b6d66f9287b108b4749bb7d3c749b96061 SHA512 cf9ed96430376d499ae9627a7d0656c05cb99bc9e9b15a8f4166355363818f090bc3c2b383ed4cf19e1e38fb569e8618d35a0ddde2a90a06f3c9a4ea769837e4
DIST twisted-22.8.0.gh.tar.gz 3937858 BLAKE2B de5f56f2ac92db3ccd29122f3c3bacc01de325e4b00b60a0ea9bcf13c5714487d596299990d292758821e242443d8c65cda03b895196df0a635b0739f08668fc SHA512 890a11ca55fd88636f404678c6fad3fcea9d0604b1b37681a4b92ea74952bc4d1b96a571dde39a4aa82d966121156801f6b42dbd0bb5a309503591a7a77c6d71
DIST twisted-regen-cache.gz 911 BLAKE2B ffd3fcda6c67ffe6fd3ef581c8d507548396b66ed0708e9a5c790095e579c0d5f0f71596acf05712989da2ddef2b8d437eca973bc4d80ef8a9fa852915f38305 SHA512 95a9b931c73017d16d1b5e6b41345dddffe62b6af1a8e93b5e40d06d3d15be17b0dd0181c767ffeeb791534d463764ef9e066fa6c2ee2ac4b53c86d1da8fce03
diff --git a/dev-python/twisted/twisted-22.10.0.ebuild b/dev-python/twisted/twisted-22.10.0.ebuild
new file mode 100644
index 000000000000..2257b9837b1b
--- /dev/null
+++ b/dev-python/twisted/twisted-22.10.0.ebuild
@@ -0,0 +1,169 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="An asynchronous networking framework written in Python"
+HOMEPAGE="https://www.twistedmatrix.com/trac/"
+SRC_URI="
+ https://github.com/twisted/twisted/archive/${P}.tar.gz -> ${P}.gh.tar.gz
+ https://dev.gentoo.org/~mgorny/dist/twisted-regen-cache.gz
+"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc ~x86"
+IUSE="conch http2 serial ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/automat-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/constantly-15.1[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-17.1.1[${PYTHON_USEDEP}]
+ >=dev-python/incremental-21.3.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.6.5[${PYTHON_USEDEP}]
+ >=dev-python/zope-interface-4.4.2[${PYTHON_USEDEP}]
+ conch? (
+ >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.6[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ )
+ http2? (
+ <dev-python/h2-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/priority-2.0[${PYTHON_USEDEP}]
+ >=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
+ )
+ serial? (
+ >=dev-python/pyserial-3.0[${PYTHON_USEDEP}]
+ )
+ ssl? (
+ >=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.4[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/incremental-21.3.0[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cython-test-exception-raiser-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.4[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ >=dev-python/pyhamcrest-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/pyserial-3.0[${PYTHON_USEDEP}]
+ net-misc/openssh
+ conch? (
+ >=dev-python/bcrypt-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.6[${PYTHON_USEDEP}]
+ )
+ ssl? (
+ >=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ )
+ ' python3_{8..10} pypy3)
+ $(python_gen_cond_dep '
+ dev-python/gmpy[${PYTHON_USEDEP}]
+ ' python3_{8..10})
+ )
+"
+
+PATCHES=(
+ # https://twistedmatrix.com/trac/ticket/10200
+ "${FILESDIR}/${PN}-22.1.0-force-gtk3.patch"
+)
+
+python_prepare_all() {
+ # upstream test for making releases; not very useful and requires
+ # sphinx (including on py2)
+ rm src/twisted/python/test/test_release.py || die
+
+ # puts system in EMFILE state, then the exception handler may fail
+ # trying to open more files due to some gi magic
+ sed -e '/SKIP_EMFILE/s:False:True:' \
+ -i src/twisted/internet/test/test_tcp.py || die
+
+ # multicast tests fail within network-sandbox
+ sed -e 's:test_joinLeave:_&:' \
+ -e 's:test_loopback:_&:' \
+ -e 's:test_multiListen:_&:' \
+ -e 's:test_multicast:_&:' \
+ -i src/twisted/test/test_udp.py || die
+
+ # These tests rely on warnings which seems work unreliably between python versions
+ sed -e 's:test_currentEUID:_&:' \
+ -e 's:test_currentUID:_&:' -i src/twisted/python/test/test_util.py || die
+
+ # broken by new expat
+ sed -e 's:test_namespaceWithWhitespace:_&:' \
+ -i src/twisted/words/test/test_domish.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ # the test suite handles missing file & failing ioctl()s gracefully
+ # but not permission errors from sandbox
+ addwrite /dev/net/tun
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # please keep in sync with python_gen_cond_dep!
+ if ! has "${EPYTHON}" python3_{8..10} pypy3; then
+ einfo "Skipping tests on ${EPYTHON} (xfail)"
+ return
+ fi
+
+ "${EPYTHON}" -m twisted.trial twisted ||
+ die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # own the dropin.cache so we don't leave orphans
+ > "${D}$(python_get_sitedir)"/twisted/plugins/dropin.cache || die
+
+ python_doscript "${WORKDIR}"/twisted-regen-cache
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ newconfd "${FILESDIR}/twistd.conf" twistd
+ newinitd "${FILESDIR}/twistd.init" twistd
+}
+
+python_postinst() {
+ twisted-regen-cache || die
+}
+
+pkg_postinst() {
+ if [[ -z ${ROOT} ]]; then
+ python_foreach_impl python_postinst
+ fi
+}
+
+python_postrm() {
+ rm -f "${ROOT}$(python_get_sitedir)/twisted/plugins/dropin.cache" || die
+}
+
+pkg_postrm() {
+ # if we're removing the last version, remove the cache file
+ if [[ ! ${REPLACING_VERSIONS} ]]; then
+ python_foreach_impl python_postrm
+ fi
+}
diff --git a/dev-python/yappi/Manifest b/dev-python/yappi/Manifest
index f99179deb040..c0c1e736d320 100644
--- a/dev-python/yappi/Manifest
+++ b/dev-python/yappi/Manifest
@@ -1 +1,2 @@
DIST yappi-1.3.6.gh.tar.gz 937785 BLAKE2B eb98d51f450091e66429affcc12f4329629bfc466dd8db9c5e77f5385a6b7bb551fd336825d64d94141ae41129618025a716a1b4e0718b022e67978330900bf0 SHA512 f55555042363581535eb4dfca096b1c698fb32720e5d1740d72ee7290f162ec44f0ed05936d6d85fc63f347e6be19b182550bd6e6593b65616d11d109fce8cbc
+DIST yappi-1.4.0.gh.tar.gz 938290 BLAKE2B 98a9c82d101e64f70f589b51ee461e1967c0fada75ab98e0de8f0446254e7ad73e25b842c85464953b9f81fc54d2007151dfc91e4176068a7cb320176c8828d2 SHA512 c557c67cfce29db1a526a2d385af28cd241eae46a653e9b4f7308a6f52ff1ede49b9211af09889c63eae3eeb38d55813a8026161b1184fccf4db4add8a022541
diff --git a/dev-python/yappi/yappi-1.4.0.ebuild b/dev-python/yappi/yappi-1.4.0.ebuild
new file mode 100644
index 000000000000..80da8be00f48
--- /dev/null
+++ b/dev-python/yappi/yappi-1.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Yet Another Python Profiler"
+HOMEPAGE="
+ https://pypi.org/project/yappi/
+ https://github.com/sumerc/yappi/
+"
+SRC_URI="
+ https://github.com/sumerc/yappi/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/gevent[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+PATCHES=(
+ "${FILESDIR}/yappi-1.2.5-warnings.patch"
+)
+
+python_test() {
+ local -x PYTHONPATH=tests
+ eunittest
+}